=== debian/changelog ===
ocaml-oseq (0.5.1-2build2) questing; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 19 Jun 2025 18:32:49 +0200

ocaml-oseq (0.5.1-2build1) plucky; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 30 Jan 2025 22:35:18 +0100

ocaml-oseq (0.5.1-2) unstable; urgency=medium

  * Enable autopkgtests

 -- Kyle Robbertze <paddatrapper@debian.org>  Mon, 21 Oct 2024 10:47:54 +0100

ocaml-oseq (0.5.1-1) unstable; urgency=medium

  * Initial release.

 -- Kyle Robbertze <paddatrapper@debian.org>  Sat, 12 Oct 2024 10:50:20 +0100
