=== debian/control ===
Source: ocaml-oseq
Section: ocaml
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders: Kyle Robbertze <paddatrapper@debian.org>
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               ocaml-dune (>= 2.8.0),
               dh-ocaml (>= 1.2.2),
               libqcheck-core-ocaml-dev,
               libounit-ocaml-dev,
               libodoc-ocaml-dev,
               libcontainers-ocaml-dev,
               ocaml
Standards-Version: 4.7.0
Homepage: https://c-cube.github.io/oseq/
Vcs-Browser: https://salsa.debian.org/ocaml-team/ocaml-oseq
Vcs-Git: https://salsa.debian.org/ocaml-team/ocaml-oseq.git

Package: liboseq-ocaml-dev
Architecture: any
Depends: ${misc:Depends},
         ${ocaml:Depends},
         ${shlibs:Depends}
Provides: ${ocaml:Provides}
Description: list of suspensions as a composable lazy iterator
 Contains a simple list of suspensions. They are designed as
 a composable lazy iterator that behaves like a value.
 .
 The type of sequences is compatible with the new standard type 
 of iterators.
